# Method: accounts.admins.patch

- [HTTP request](https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts.admins/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts.admins/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts.admins/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts.admins/patch#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts.admins/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts.admins/patch#body.aspect)

Updates the Admin for the specified Account Admin.

### HTTP request

`PATCH https://mybusinessaccountmanagement.googleapis.com/v1/{accountAdmin.name=accounts/*/admins/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `accountAdmin.name` | `string` Immutable. The resource name. For account admins, this is in the form: `accounts/{account_id}/admins/{admin_id}` For location admins, this is in the form: `locations/{locationId}/admins/{admin_id}` This field will be ignored if set during admin creation. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.FieldMask` format)`` Required. The specific fields that should be updated. The only editable field is role. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts.admins#Admin`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts.admins#Admin`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).